package fr.iut.pm.movieapplication.ui.viewmodel

import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider

class SearchResultVM(private var query : String) : ViewModel() {
    private var _queryLiveData : MutableLiveData<String> = MutableLiveData()
    fun getQueryLiveData() : LiveData<String> = _queryLiveData

    init {
        _queryLiveData.postValue(query)
    }
}

class SearchResultVMFactory(private var query : String) : ViewModelProvider.Factory
{
    override fun<T:ViewModel>create(modelClass:Class<T>) : T
    {
        return SearchResultVM(query) as T
    }
}